<?php

require __DIR__ . '/settings.php';
require __DIR__ . '/ratelimiter.php';

function main()
{

	echo "Cleaning up request counters...\n";

	$timeslot = ratelimit_get_timeslot();

	// Remove request history items that are older than 1 hour.
	$statement = db_conn()->query('
		DELETE FROM REQUEST_COUNTERS WHERE RTIME < NOW() - INTERVAL 1 HOUR
	');

	$deleted_counters = $statement->rowcount();

	// Remove IP bans older than 1 hour
	$statement = db_conn()->query("
		DELETE FROM BLOCKED_IPS WHERE BTIME < '$timeslot'
	");

	$deleted_bans = $statement->rowcount();

	echo "Finished database maintenance.\n\n";
	echo "Summary:\n";
	echo "Request counters deleted: $deleted_counters\n";
	echo "Blocked IPs deleted: $deleted_bans\n";
	
	echo "\n";

}

return main();